Bug 861225 - API documentation missing critical info in system.config.createOrUpdatePath
API documentation missing critical info in system.config.createOrUpdatePath
Status: CLOSED NEXTRELEASE
Product: Spacewalk
Classification: Community
Component: Documentation (Show other bugs)
1.8
All All
unspecified Severity high
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-09-27 17:15 EDT by Zailo Leite
Modified: 2012-11-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-01 03:21:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zailo Leite 2012-09-27 17:15:37 EDT
Description of problem:


On http://spacewalk.redhat.com/documentation/api/1.7/handlers/ServerConfigHandler.html#createOrUpdatePath , there's a missing value in the path_info struct, 'binary'. It is documented in the source:


     *   #struct("path info")
...
     *      #prop_desc("boolean", "binary", "mark the binary content, if True,
     *      base64 encoded content is expected (only for non-directories)")
     *  #struct_end()


Without this the uploaded files are treated as text by the spacewalk server and rendered unusable.
Comment 1 Jan Pazdziora 2012-10-01 03:21:02 EDT
The binary value was added in commit b77a05778a707b5fb12b932b78e44d01f3a188de. Therefore it is currently in Spacewalk master (and nightly builds) and not in Spacewalk 1.7. So, it's correct that it is not listed in the api/1.7/handlers API overview -- it will not work on Spacewalk 1.7.

When Spacewalk 1.8 is out, the API documentation will be generated and added to the api/1.8 directory.

Note You need to log in before you can comment on or make changes to this bug.